{% extends 'base.html' %}

{% block content %}


<h1 class="text-center my-5">{{ title }}</h1>
<form class="form-inline justify-content-center mb-3 " method="GET">
    <input class="form-control mr-sm-2" type="text" placeholder="Search" name="search" value="{{ request.GET.search }}">
    <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
    <!-- {% url 'create' as create %} -->
    <a href="#" class="btn btn-secondary mx-5" role="button" aria-pressed="true">Create Blog</a>
</form>


<div class="row justify-content-center align-items-center">



    {% for obj in objectlist  %}



    <div class="mb-4 col-md-auto ">
        <div class="card" style="width: 18rem;">
            {% if obj.image %}
            <img src="{{ obj.image.url }}" class="card-img-top img-responsive" style="height: 200px ;" alt="...">
            {% endif %}
            <div class="card-body">
                {% if obj.user.get_full_name %}
                <p class="card-text">
                    <small class="text-muted">By: {{ obj.user.get_full_name }} <br>
                        {{ obj.publish }}
                        {% if obj.draft %}<span style="color:red;">Draft</span> {% endif %}
                    </small>
                </p>
                {% endif %}
                <h5 class="card-title">{{ obj.title }}</h5>
                <p class="card-text">{{ obj.content }}.</p>
                <a href="{{ obj.get_absolute_url }}" class="btn btn-primary">View</a>
            </div>
        </div>
    </div>

    {% cycle "" "</div><div class='row justify-content-center align-items-center'>" %}
    {% endfor %}

    <div class="row mb-5">
        <div class="pagination">
            <span class="step-links">
                {% if objectlist.has_previous %}
                <a href="?page=1">&laquo; first</a>
                <a href="?page={{ objectlist.previous_page_number }}">previous</a>
                {% endif %}

                <span class="current">
                    Page {{ objectlist.number }} of {{ objectlist.paginator.num_pages }}.
                </span>

                {% if objectlist.has_next %}
                <a href="?page={{ objectlist.next_page_number }}">next</a>
                <a href="?page={{ objectlist.paginator.num_pages }}">last &raquo;</a>
                {% endif %}
            </span>
        </div>
    </div>
</div>
</div>

{% endblock %}
